# Class JTabbedPane.ModelListener

java.lang.Object
javax.swing.JTabbedPane.ModelListener

All Implemented Interfaces:
  `Serializable, EventListener, ChangeListener`

Enclosing class:
  `JTabbedPane`

protected class JTabbedPane.ModelListener extends Object implements ChangeListener, Serializable
We pass `ModelChanged` events along to the listeners with the tabbedpane (instead of the model itself) as the event source.

Since:
  1.2

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ModelListener()`
  Constructs a `ModelListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `stateChanged(ChangeEvent e)`
  Invoked when the target of the listener has changed its state.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModelListener

    protected ModelListener()
    Constructs a `ModelListener`.

- ## Method Details

  - ### stateChanged

    public void stateChanged(ChangeEvent e)
    Description copied from interface: `ChangeListener`
    Invoked when the target of the listener has changed its state.
    Specified by:
      `stateChanged` in interface `ChangeListener`
    Parameters:
      `e` - a ChangeEvent object